Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.therlink.builders.impl
Class CommonObjectBuilderImpl

    java.lang.Object
      be.ehealth.businessconnector.therlink.builders.impl.CommonObjectBuilderImpl

All Implemented Interfaces:
  CommonObjectBuilder

    public final class CommonObjectBuilderImpl

extends Object
implements CommonObjectBuilder

Implementation for `CommonObjectBuilder` requires following config property : kmehr.therlink.identifier.id.idhcparty ( or kmehr.default.identifier.id.idhcparty if default properties for kmehr are used )

Constructor Summary
`CommonObjectBuilderImpl()`

Method Summary
`Author` | `createAuthor(List<HcParty> list)` Creates the author part of the message
`String` | `createKmehrID()` Creates the id of the kmehr message
`TherapeuticLink` | `createTherapeuticLink(org.joda.time.DateTime startDate, org.joda.time.DateTime endDate, Patient patient, String hcpType, String therLinkType, String comment, HcParty concernedHcp)` Creates a therapeutic link
`TherapeuticLink` | `createTherapeuticLink(Patient patient, String hcpType, String therLinkType, Date startDate, Date endDate, String comment, HcParty hcp)` Deprecated.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommonObjectBuilderImpl

    public CommonObjectBuilderImpl()

Method Detail

### createTherapeuticLink

    @Deprecated
    public TherapeuticLink createTherapeuticLink(Patient patient,
                                                            String hcpType,
                                                            String therLinkType,
                                                            Date startDate,
                                                            Date endDate,
                                                            String comment,
                                                            HcParty hcp)
                                          throws TechnicalConnectorException

  Deprecated.

  Description copied from interface: `CommonObjectBuilder`
  Creates a therapeutic link

  Specified by:
    `createTherapeuticLink` in interface `CommonObjectBuilder`
  Parameters:
    `patient` - the concerned patient
    `hcpType` - the type of the professional concerned by the therapeutic link
    `therLinkType` - the type of the therapeutic link
    `startDate` - the start date
    `endDate` - (optional) the end date
    `comment` - (optional) a comment about the therapeutic link
    `hcp` - The HCP concerned by the link. If it's null, then we will use session info by default
  Returns:
  Throws:
    `TechnicalConnectorException` - Deprecated : replaced by the other function

### createAuthor

    public Author createAuthor(List<HcParty> list)
                        throws TechnicalConnectorException

  Description copied from interface: `CommonObjectBuilder`
  Creates the author part of the message

  Specified by:
    `createAuthor` in interface `CommonObjectBuilder`
  Parameters:
    `list` - list of professionals to add in the author part
  Returns:
  Throws:
    `TechnicalConnectorException`

### createKmehrID

    public String createKmehrID()
                         throws TechnicalConnectorException

  Description copied from interface: `CommonObjectBuilder`
  Creates the id of the kmehr message

  Specified by:
    `createKmehrID` in interface `CommonObjectBuilder`
  Returns:
  Throws:
    `TechnicalConnectorException`

### createTherapeuticLink

    public TherapeuticLink createTherapeuticLink(org.joda.time.DateTime startDate,
                                                 org.joda.time.DateTime endDate,
                                                 Patient patient,
                                                 String hcpType,
                                                 String therLinkType,
                                                 String comment,
                                                 HcParty concernedHcp)
                                          throws TechnicalConnectorException

  Description copied from interface: `CommonObjectBuilder`
  Creates a therapeutic link

  Specified by:
    `createTherapeuticLink` in interface `CommonObjectBuilder`
  Parameters:
    `startDate` - the start date
    `endDate` - (optional) the end date
    `patient` - the concerned patient
    `hcpType` - the type of the professional concerned by the therapeutic link
    `therLinkType` - the type of the therapeutic link
    `comment` - (optional) a comment about the therapeutic link
    `concernedHcp` - The HCP concerned by the link. If it's null, then we will use session info by default
  Returns:
  Throws:
    `TechnicalConnectorException`
  See Also:
    `be.ehealth.businessconnector.therlink.builders.CommonObjectBuilder#createTherapeuticLink(be.ehealth.business.common.domain.Patient, java.lang.String, java.lang.String, org.joda.time.DateTime, org.joda.time.DateTime, java.lang.String, be.ehealth.businessconnector.therlink.domain.HcParty)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.